## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:		phosh-mobile-settings
Version:	0.40.0
Release:	%autorelease
Summary:	Mobile Settings App for phosh and related components
License:	GPL-3.0-or-later AND LGPL-3.0-or-later
URL:		https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings
Source:	https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/archive/v%{version}/phosh-mobile-settings-v%{version}.tar.gz
# FIXME: tests fail if build directory is used a XDG_RUNTIME_DIR
Patch0:	shorter-xdg_runtime_dir-path.patch
ExcludeArch:	i686

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	meson

BuildRequires:	pkgconfig(glib-2.0) >= 2.74
BuildRequires:	pkgconfig(gio-2.0) >= 2.74
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.74
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.74
BuildRequires:	pkgconfig(gmobile) >= 0.2.0
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(gtk4) >= 4.12.5
BuildRequires:	pkgconfig(gtk4-wayland) >= 4.12.5
BuildRequires:	pkgconfig(phosh-plugins) >= 0.23.0
BuildRequires:	pkgconfig(libadwaita-1) >= 1.4
BuildRequires:	pkgconfig(wayland-client) >= 1.14
BuildRequires:	pkgconfig(wayland-protocols) >= 1.12
BuildRequires:	appstream-devel
BuildRequires:	lm_sensors-devel
BuildRequires:	desktop-file-utils
BuildRequires:	dbus-daemon
BuildRequires:	feedbackd

Requires:		feedbackd
Requires:		phoc >= 0.34.0
Requires:		phosh >= 0.37.0

%description
Mobile Settings App for phosh and related components

%prep
%autosetup -p1 -n %{name}-v%{version}
mkdir -p /tmp/runtime-dir
chmod 0700 /tmp/runtime-dir

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

%check
dbus-run-session sh <<'SH'
%meson_test
SH

%files -f %{name}.lang
%{_bindir}/phosh-mobile-settings
%dir %{_libdir}/phosh-mobile-settings
%{_libdir}/phosh-mobile-settings/plugins/libms-plugin-librem5.so
%{_datadir}/applications/mobi.phosh.MobileSettings.desktop
%{_datadir}/icons/hicolor/scalable/apps/mobi.phosh.MobileSettings.svg
%{_datadir}/icons/hicolor/symbolic/apps/mobi.phosh.MobileSettings-symbolic.svg
%{_datadir}/metainfo/mobi.phosh.MobileSettings.metainfo.xml

%doc README.md
%license COPYING

%changelog
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> 0.40.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Tomi Lähteenmäki <lihis@lihis.net> 0.40.0-2
- Remove unused patch for gmobile

* Mon Jul 01 2024 Tomi Lähteenmäki <lihis@lihis.net> 0.40.0-1
- Upstream release 0.40.0

* Sat Jun 29 2024 Tomi Lähteenmäki <lihis@lihis.net> 0.37.0-4
- Remove bundled gmobile

* Sat Jun 29 2024 Tomi Lähteenmäki <lihis@lihis.net> 0.37.0-3
- Convert license to SPDX

* Sat Jun 29 2024 Tomi Lähteenmäki <lihis@lihis.net> 0.37.0-2
- Use %autorelease

* Sun May 19 2024 Tomi Lähteenmäki <lihis@lihis.net> 0.37.0-1
- Upstream release 0.37.0

* Fri May 17 2024 Tomi Lähteenmäki <lihis@lihis.net> 0.32.0-2
- Remove superfluous changelog entries

* Mon Apr 29 2024 Fedora Release Engineering <releng@fedoraproject.org> 0.32.0-1
- Unretirement Releng Request: https://pagure.io/releng/issue/12084
